Matching Job Progress
curl --request GET \
--url https://api.example.com/v1/matching/jobs/{job_id}/progressimport requests
url = "https://api.example.com/v1/matching/jobs/{job_id}/progress"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/matching/jobs/{job_id}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/matching/jobs/{job_id}/progress",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/matching/jobs/{job_id}/progress"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/matching/jobs/{job_id}/progress")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/matching/jobs/{job_id}/progress")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"progress": 0,
"current_step": "<string>",
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"result_summary": {
"accepted": 0,
"rejected": 0,
"sent": 0,
"row_errors": [
{
"line": 0,
"code": "",
"message": "",
"item_id": ""
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}matching
Matching Job Progress
Poll an organization’s import; row_errors contains at most 200 rejection samples.
GET
/
v1
/
matching
/
jobs
/
{job_id}
/
progress
Matching Job Progress
curl --request GET \
--url https://api.example.com/v1/matching/jobs/{job_id}/progressimport requests
url = "https://api.example.com/v1/matching/jobs/{job_id}/progress"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/matching/jobs/{job_id}/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/matching/jobs/{job_id}/progress",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/matching/jobs/{job_id}/progress"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/matching/jobs/{job_id}/progress")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/matching/jobs/{job_id}/progress")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"progress": 0,
"current_step": "<string>",
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"result_summary": {
"accepted": 0,
"rejected": 0,
"sent": 0,
"row_errors": [
{
"line": 0,
"code": "",
"message": "",
"item_id": ""
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
Organization-authorized progress for one matched-data publish.
Available options:
queued, running, cancelling, completed, failed, cancelled Terminal result used by the upload surface.
Show child attributes
Show child attributes

